Package org.eclipse.graphiti.ui.internal.command

# Class ReconnectCommand

java.lang.Object
org.eclipse.gef.commands.Command
org.eclipse.graphiti.ui.internal.command.AbstractCommand
org.eclipse.graphiti.ui.internal.command.ReconnectCommand

All Implemented Interfaces:
  `IContextHolder`, `IFeatureAndContext`, `IFeatureHolder`, `IConfigurationProviderHolder`

public class ReconnectCommand extends AbstractCommand implements IFeatureAndContext

## Constructor Summary

Constructors
Constructor
Description
`ReconnectCommand(IConfigurationProvider configurationProvider, Connection connection, Anchor oldAnchor, Anchor newAnchor, PictogramElement newTargetPictogramElement, String reconnectType, org.eclipse.draw2d.geometry.Point location)`
Instantiate a command that can reconnect a Connection instance to a different source or target endpoint.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute()`
`boolean`
`canUndo()`
`void`
`deactivate()`
`void`
`execute()`
Reconnect the connection to newSource (if setNewSource(...) was invoked before) or newTarget (if setNewTarget(...) was invoked before).
`IContext`
`getContext()`
Gets the context.
`IFeature`
`getFeature()`
Gets the feature.

### Methods inherited from class org.eclipse.graphiti.ui.internal.command.AbstractCommand

`getConfigurationProvider, getFeatureProvider, getTransactionalEditingDomain`

### Methods inherited from class org.eclipse.gef.commands.Command

`canRedo, chain, dispose, getDebugLabel, getLabel, redo, setDebugLabel, setLabel, undo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReconnectCommand

public ReconnectCommand(IConfigurationProvider configurationProvider, Connection connection, Anchor oldAnchor, Anchor newAnchor, PictogramElement newTargetPictogramElement, String reconnectType, org.eclipse.draw2d.geometry.Point location)
Instantiate a command that can reconnect a Connection instance to a different source or target endpoint.

Parameters:
  `conn` - the connection instance to reconnect (non-null)
Throws:
  `IllegalArgumentException` - if conn is null

## Method Details

### canExecute

public boolean canExecute()

Overrides:
  `canExecute` in class `org.eclipse.gef.commands.Command`

### canUndo

public boolean canUndo()

Overrides:
  `canUndo` in class `org.eclipse.gef.commands.Command`

### execute

public void execute()
Reconnect the connection to newSource (if setNewSource(...) was invoked before) or newTarget (if setNewTarget(...) was invoked before).

Overrides:
  `execute` in class `org.eclipse.gef.commands.Command`

### getFeature

public IFeature getFeature()
Description copied from interface: `IFeatureHolder`
Gets the feature.

Specified by:
  `getFeature` in interface `IFeatureHolder`
Returns:
  the feature

### getContext

public IContext getContext()
Description copied from interface: `IContextHolder`
Gets the context.

Specified by:
  `getContext` in interface `IContextHolder`
Returns:
  the context

### deactivate

public void deactivate()